### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.broker

# Class EventBrokerServiceFactory

java.lang.Object
com.sas.services.AbstractServiceFactory
com.sas.services.events.broker.EventBrokerServiceFactory

All Implemented Interfaces:
  `ServiceFactoryInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class EventBrokerServiceFactory extends AbstractServiceFactory
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
Factory used to manufacture an Event Broker service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `EventBrokerServiceInterface`

Since:
  1.0
See Also:
  - `AbstractServiceFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventBrokerServiceFactory()`
  Deprecated.
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final EventBrokerServiceInterface`
  `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Deprecated.
  Instantiates a new Event Broker service initialized with the specified configuration.
  `final RemoteServiceInterface`
  `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Deprecated.
  Instantiates a new Event Broker service initialized with the specified configuration.

  ### Methods inherited from class com.sas.services.AbstractServiceFactory

  `getService, getServiceProfile, isSingletonFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventBrokerServiceFactory

    public EventBrokerServiceFactory()
    Deprecated.
    Constructs a default instance.

- ## Method Details

  - ### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Deprecated.
    Instantiates a new Event Broker service initialized with the specified configuration.
    Specified by:
      `getService` in interface `ServiceFactoryInterface`
    Specified by:
      `getService` in class `AbstractServiceFactory`
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - This discovery service which may be used to locate other services. A service which can be discovered must register itself with this discovery service.
    Returns:
      A service that implements `EventBrokerServiceInterface`.
    Throws:
      `ServiceException` - if unable to create an Event Broker service. This exception may wrap a `RemoteException`.
    See Also:
      - `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

  - ### createService

    public static final EventBrokerServiceInterface createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Deprecated.
    Instantiates a new Event Broker service initialized with the specified configuration.
    Parameters:
      `serviceConfiguration` - Service configuration
    Returns:
      A service that implements `EventBrokerServiceInterface`.
    Throws:
      `ServiceException` - if unable to create an Event Broker service. This exception may wrap a `RemoteException`.